NAND_LOCK(9)

NAME
nand_lock - [REPLACEABLE] locks all blocks present in the device

SYNOPSIS

int nand_lock(struct mtd_info * mtd, loff_t ofs, uint64_t len);

ARGUMENTS

mtd
    mtd info

ofs
    offset to start unlock from

len
    length to unlock

DESCRIPTION

This feature is not supported in many NAND parts. 'Micron' NAND parts do have this feature, but it allows only to lock all blocks, not for specified range for block. Implementing 'lock' feature by making use of 'unlock', for now.

Returns lock status.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT